import type { ButtonProps } from "./button";
declare var __VLS_15: {}, __VLS_18: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_15) => any;
} & {
    loading?: (props: typeof __VLS_18) => any;
};
declare const __VLS_base: import("vue").DefineComponent<ButtonProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ButtonProps> & Readonly<{}>, {
    click: (() => Promise<any>) | (() => any | (() => void));
    clickHandle: (() => Promise<any>) | (() => any) | (() => void);
    delay: number;
    shine: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
